procps (2:4.0.4-4ubuntu3.3) noble; urgency=medium

  * Use clock_gettime instead of procps_uptime for boot time (LP: #2159938)
    - d/p/lp2159938-library_use_clock_gettime.patch

 -- Bhavya Dokuru <bhavya.dokuru@canonical.com>  Mon, 13 Jul 2026 20:13:08 +0530

procps (2:4.0.4-4ubuntu3.2) noble; urgency=medium

  * ps: Don't crash when using short option (LP: #2080518)

 -- Shengjing Zhu <shengjing.zhu@canonical.com>  Thu, 26 Sep 2024 16:44:05 +0800

procps (2:4.0.4-4ubuntu3.1) noble; urgency=medium

  * d/sysctl.d/10-bufferbloat.conf: set default qdisc to fq_codel (LP: #2003027)

 -- Heitor Alves de Siqueira <halves@canonical.com>  Wed, 17 Jul 2024 14:59:18 +0000

procps (2:4.0.4-4ubuntu3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 08:16:00 +0000

procps (2:4.0.4-4ubuntu2) noble; urgency=medium

  * d/sysctl.d/10-map-count.conf: Set vm.max_map_count=1048576 (LP: #2057792)

 -- Julian Andres Klode <juliank@ubuntu.com>  Sun, 24 Mar 2024 16:39:47 +0100

procps (2:4.0.4-4ubuntu1) noble; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - d/t/stack-limit: add basic autopkgtest to validate limits
    - Add basic autopkgtest to validate sysctl-defaults (LP#1962038)
    - ignore_eaccess.patch: If we get eaccess when opening a sysctl file for
      writing, don't error out.  Otherwise package upgrades can fail,
      especially in containers.
      - Adjust logic due to rc no longer being propagated (LP#1903351)
    - ignore_erofs.patch: Same as ignore_eaccess but for the case where
      part of /proc is read/only.
      - Adjust logic due to rc no longer being propagated (LP#1903351)
    - debian/sysctl.d (Ubuntu-specific):
       + 10-console-messages.conf: stop low-level kernel messages on console.
       + 10-kernel-hardening.conf: add the kptr_restrict setting
       + 10-ipv6-privacy.conf: add a file to sysctl.d to apply the defaults
         for IPv6 privacy extensions for interfaces. (LP#176125, LP#841353)
       + 10-magic-sysrq.conf: Disable most magic sysrq by default, allowing
         critical sync, remount, reboot functions. (LP#194676, LP#1025467)
       + 10-network-security.conf: enable rp_filter.
       + 10-ptrace.conf: describe new PTRACE setting.
       + 10-zeropage.conf: safe mmap_min_addr value for graceful fall-back.
         for armhf, and arm64.
       + 10-qemu.conf.s390x for qemu.
    - d/p/0010-testsuite-ps-etime-ELAPSED-doesn-t-match-full-format.patch:
      Fix test failure (FTBFS) in testsuite/ps.test/ps_output.exp due to
      invalid regex match inside LXD containers.

 -- Lukas Märdian <slyon@ubuntu.com>  Tue, 27 Feb 2024 12:07:21 +0100

procps (2:4.0.4-4) unstable; urgency=medium

  * Moved into unstable

 -- Craig Small <csmall@debian.org>  Sun, 28 Jan 2024 21:15:10 +1100

procps (2:4.0.4-3) experimental; urgency=medium

  * Move files to /usr for DEP17. (Closes: #1059817)
  * Placed into experimental

 -- Craig Small <csmall@debian.org>  Tue, 02 Jan 2024 19:33:53 +1100

procps (2:4.0.4-2ubuntu1) noble; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - d/t/stack-limit: add basic autopkgtest to validate limits
    - Add basic autopkgtest to validate sysctl-defaults (LP#1962038)
    - ignore_eaccess.patch: If we get eaccess when opening a sysctl file for
      writing, don't error out.  Otherwise package upgrades can fail,
      especially in containers.
      - Adjust logic due to rc no longer being propagated (LP#1903351)
    - ignore_erofs.patch: Same as ignore_eaccess but for the case where
      part of /proc is read/only.
      - Adjust logic due to rc no longer being propagated (LP#1903351)
    - debian/sysctl.d (Ubuntu-specific):
       + 10-console-messages.conf: stop low-level kernel messages on console.
       + 10-kernel-hardening.conf: add the kptr_restrict setting
       + 10-ipv6-privacy.conf: add a file to sysctl.d to apply the defaults
         for IPv6 privacy extensions for interfaces. (LP#176125, LP#841353)
       + 10-magic-sysrq.conf: Disable most magic sysrq by default, allowing
         critical sync, remount, reboot functions. (LP#194676, LP#1025467)
       + 10-network-security.conf: enable rp_filter.
       + 10-ptrace.conf: describe new PTRACE setting.
       + 10-zeropage.conf: safe mmap_min_addr value for graceful fall-back.
         for armhf, and arm64.
       + 10-qemu.conf.s390x for qemu.
  * d/p/0010-testsuite-ps-etime-ELAPSED-doesn-t-match-full-format.patch:
    Fix test failure (FTBFS) in testsuite/ps.test/ps_output.exp due to invalid
    regex match inside LXD containers.

 -- Lukas Märdian <slyon@ubuntu.com>  Tue, 21 Nov 2023 11:54:36 +0100

procps (2:4.0.4-2) unstable; urgency=medium

  * Loosen regex and check file perms in pmap test Closes: #1052034
  * pkgtest: Update vmstat check
  * Skip pmap -X/XX PID PID check as flakey on buildds

 -- Craig Small <csmall@debian.org>  Mon, 09 Oct 2023 17:02:52 +1100

procps (2:4.0.4-1) unstable; urgency=medium

  * New upstream release
    - ps: Fix buffer overflow in -C option CVE-2023-4016 Closes: #1042887
    - library: Refactor the escape code Closes: #1035649
    - pgrep: Use only --signal option for signal Closes: #1031765
    - pgrep: suppress >15 warning if using regex Closes: #1037450
    - ps: fixed missing or corrupted fields with -m option Closes: #1036631
    - free: New -L option for one line output
    - ps: New --signames options to show signal names
  * watch: Color support turned on by default use -C to turn off
  * Remove redundant lines from sysctl.conf Closes: #968711

 -- Craig Small <csmall@debian.org>  Thu, 07 Sep 2023 21:31:09 +1000

procps (2:4.0.3-1ubuntu1) lunar; urgency=medium

  * Merge from Debian unstable.  Remaining changes:
    -  debian/sysctl.d (Ubuntu-specific):
       + 10-console-messages.conf: stop low-level kernel messages on console.
       + 10-kernel-hardening.conf: add the kptr_restrict setting
       + 10-ipv6-privacy.conf: add a file to sysctl.d to apply the defaults
         for IPv6 privacy extensions for interfaces. (LP: #176125, #841353)
       + 10-magic-sysrq.conf: Disable most magic sysrq by default, allowing
         critical sync, remount, reboot functions. (LP: #194676, LP: #1025467)
       + 10-network-security.conf: enable rp_filter.
       + 10-ptrace.conf: describe new PTRACE setting.
       + 10-zeropage.conf: safe mmap_min_addr value for graceful fall-back.
         for armhf, and arm64.
       + 10-qemu.conf.s390x for qemu.
    - ignore_eaccess.patch: If we get eaccess when opening a sysctl file for
      writing, don't error out.  Otherwise package upgrades can fail,
      especially in containers.
      - Adjust logic due to rc no longer being propagated (LP: #1903351)
    - ignore_erofs.patch: Same as ignore_eaccess but for the case where
      part of /proc is read/only.
      - Adjust logic due to rc no longer being propagated (LP: #1903351)
    - d/t/stack-limit: add basic autopkgtest to validate limits
    - Add basic autopkgtest to validate sysctl-defaults (LP: #1962038)
  * Refresh patches
  * Dropped changes (applied upstream or in Debian):
    - debian/procps.maintscript: handle migration of link-protect.conf from
      /etc to /usr.
      - Added in Focal, should be clean as of Jammy.
    - debian/rules: Fix cross build (Closes: #1031343)
    - negative_committed_mem.patch: fix new 'free commited' test

 -- Lukas Märdian <slyon@ubuntu.com>  Mon, 20 Feb 2023 09:32:53 +0100

procps (2:4.0.3-1) unstable; urgency=medium

  * New upstream release
    - docs: Translated manpages installed
    - pgrep: make --terminal respect other criteria
    - ps: c flag shows command name again Closes: #1026326
    - skill: Match on -p again Closes: #1025915
    - vmstat: Referesh memory statistics Closes: #1027963
    - vmstat: Fix initial si,so,bi,bo,in & cs values Closes: #668580
  * Update standards version
  * Improve cross-building Closes: #1031343

 -- Craig Small <csmall@debian.org>  Sat, 18 Feb 2023 10:17:15 +1100

procps (2:4.0.2-3ubuntu1) lunar; urgency=medium

  * Merge from Debian unstable.  Remaining changes:
    -  debian/sysctl.d (Ubuntu-specific):
       + 10-console-messages.conf: stop low-level kernel messages on console.
       + 10-kernel-hardening.conf: add the kptr_restrict setting
       + 10-ipv6-privacy.conf: add a file to sysctl.d to apply the defaults
         for IPv6 privacy extensions for interfaces. (LP: #176125, #841353)
       + 10-magic-sysrq.conf: Disable most magic sysrq by default, allowing
         critical sync, remount, reboot functions. (LP: #194676, LP: #1025467)
       + 10-network-security.conf: enable rp_filter.
       + 10-ptrace.conf: describe new PTRACE setting.
       + 10-zeropage.conf: safe mmap_min_addr value for graceful fall-back.
         for armhf, and arm64.
       + 10-qemu.conf.s390x for qemu.
    - debian/rules: Fix cross build
    - ignore_eaccess.patch: If we get eaccess when opening a sysctl file for
      writing, don't error out.  Otherwise package upgrades can fail,
      especially in containers.
      - Adjust logic due to rc no longer being propagated (LP: #1903351)
    - ignore_erofs.patch: Same as ignore_eaccess but for the case where
      part of /proc is read/only.
      - Adjust logic due to rc no longer being propagated (LP: #1903351)
    - negative_committed_mem.patch: fix new 'free commited' test
    - d/t/stack-limit: add basic autopkgtest to validate limits
    - Add basic autopkgtest to validate sysctl-defaults (LP: #1962038)
  * Refresh patches
  * Dropped changes:
    - debian/procps.maintscript: handle migration of link-protect.conf from
      /etc to /usr.
      - Added in Focal, should be clean as of Jammy.

 -- Lukas Märdian <slyon@ubuntu.com>  Wed, 15 Feb 2023 12:39:13 +0100

procps (2:4.0.2-3) unstable; urgency=medium

  [ Pino Toscano ]
  * Drop the Debian menu file: (Closes: #192635)
    - the Debian menu is deprecated for some years already
    - the menu item does not have an icon
    - the menu item is for a terminal, and generally GUI environments have their
      own process listing application

  [ Craig Small ]
  * ps: correct BSD c option Closes: #1026326
  * skill: fix -p option Closes: #1025915

 -- Craig Small <csmall@debian.org>  Mon, 19 Dec 2022 17:06:38 +1100

procps (2:4.0.2-2) unstable; urgency=medium

  * Fix test_pids test Closes: #1025495
  * Don't install english manpages everywhere Closes: #1025506
  * Install non-english manpages too

 -- Craig Small <csmall@debian.org>  Tue, 06 Dec 2022 23:12:37 +1100

procps (2:4.0.2-1) unstable; urgency=medium

  * New libproc2 library moved into sid
    library: total new API
    free: Used field is now Total - Available
    free: Added Comitted memory option
    pgrep: -A to ignore ancestors
    pgrep: Can select version 2 cgroup paths
    ps: many new fields
    sysctl: Support systemd glob patterns
    sysctl: Check resolved path is under /proc/sys
    top: many new fields
    top: extra wide views for CPU and memory stats
    top: bottom window to display supplementary data

 -- Craig Small <csmall@debian.org>  Mon, 05 Dec 2022 21:59:09 +1100

procps (2:4.0.1-1) experimental; urgency=medium
 
  * New upstream release to experimental
 
 -- Craig Small <csmall@debian.org>  Thu, 20 Oct 2022 21:59:06 +1100

procps (2:4.0.1~rc3-1) experimental; urgency=medium

  [ Pino Toscano ]
  * Drop the Debian menu file: (Closes: #192635)
    - the Debian menu is deprecated for some years already
    - the menu item does not have an icon
    - the menu item is for a terminal, and generally GUI environments have their
      own process listing application

  [ Craig Small ]
  * New upstream release
  * Re-renamed library, last time!

 -- Craig Small <csmall@debian.org>  Sun, 16 Oct 2022 20:22:07 +1100

procps (2:4.0.0-1) experimental; urgency=medium

  * New upstream release
  * Library renamed and API changed
  * Uploaded to experimental

 -- Craig Small <csmall@debian.org>  Tue, 22 Mar 2022 22:12:54 +1100

procps (2:3.3.17-7.1) unstable; urgency=medium

  * Non-maintainer upload.
  * remove dependency on lsb-base Closes: #1020602

 -- Johannes Schauer Marin Rodrigues <josch@debian.org>  Thu, 20 Oct 2022 10:38:33 +0200

procps (2:3.3.17-7ubuntu1) kinetic; urgency=medium

  * Merge from Debian unstable.  Remaining changes:
    - debian/sysctl.d (Ubuntu-specific):
      + 10-console-messages.conf: stop low-level kernel messages on console.
      + 10-kernel-hardening.conf: add the kptr_restrict setting
      + 10-ipv6-privacy.conf: add a file to sysctl.d to apply the defaults
        for IPv6 privacy extensions for interfaces. (LP: #176125, #841353)
      + 10-magic-sysrq.conf: Disable most magic sysrq by default, allowing
        critical sync, remount, reboot functions. (LP: #194676, LP: #1025467)
      + 10-network-security.conf: enable rp_filter.
      + 10-ptrace.conf: describe new PTRACE setting.
      + 10-zeropage.conf: safe mmap_min_addr value for graceful fall-back.
        for armhf, and arm64.
      + 10-qemu.conf.s390x for qemu.
    - debian/rules: Fix cross build
    - ignore_eaccess.patch: If we get eaccess when opening a sysctl file for
      writing, don't error out.  Otherwise package upgrades can fail,
      especially in containers.
      - Adjust logic due to rc no longer being propagated (LP: #1903351)
    - ignore_erofs.patch: Same as ignore_eaccess but for the case where
      part of /proc is read/only.
      - Adjust logic due to rc no longer being propagated (LP: #1903351)
    - debian/procps.maintscript: handle migration of link-protect.conf from
      /etc to /usr.
    - Add basic autopkgtest to validate sysctl-defaults (LP: #1962038)

 -- Lukas Märdian <slyon@ubuntu.com>  Mon, 22 Aug 2022 10:50:36 +0200

procps (2:3.3.17-7) unstable; urgency=medium

  * Update to Debian standards 4.6.0
  * Correct patch test_proc_siginfo Closes: #987557 again
  * Install locale files for kfreebsd Closes: #1005285
  * kill: Correctly handle negative pids Closes: #1005376
  * pidwait: Check correct name for program Closes: #1006395
  * Remove ancient unrequired preinst script Closes: #1005392

 -- Craig Small <csmall@debian.org>  Mon, 07 Mar 2022 22:05:15 +1100

procps (2:3.3.17-6ubuntu2) jammy; urgency=medium

  * Add basic autopkgtest to validate sysctl-defaults (LP: #1962038)

 -- Lukas Märdian <slyon@ubuntu.com>  Fri, 25 Feb 2022 12:57:56 +0100

procps (2:3.3.17-6ubuntu1) jammy; urgency=low

  * Merge from Debian unstable (LP: #1961805).
    Remaining changes:
      - debian/sysctl.d (Ubuntu-specific):
        + 10-console-messages.conf: stop low-level kernel messages on console.
        + 10-kernel-hardening.conf: add the kptr_restrict setting
        + 10-ipv6-privacy.conf: add a file to sysctl.d to apply the defaults
          for IPv6 privacy extensions for interfaces. (LP: #176125, #841353)
        + 10-magic-sysrq.conf: Disable most magic sysrq by default, allowing
          critical sync, remount, reboot functions. (LP: #194676, LP: #1025467)
        + 10-network-security.conf: enable rp_filter.
        + 10-ptrace.conf: describe new PTRACE setting.
        + 10-zeropage.conf: safe mmap_min_addr value for graceful fall-back.
          for armhf, and arm64.
        + 10-qemu.conf.s390x for qemu.
      - debian/rules: Fix cross build
      - ignore_eaccess.patch: If we get eaccess when opening a sysctl file for
        writing, don't error out.  Otherwise package upgrades can fail,
        especially in containers.
        - Adjust logic due to rc no longer being propagated (LP: #1903351)
      - ignore_erofs.patch: Same as ignore_eaccess but for the case where
        part of /proc is read/only.
        - Adjust logic due to rc no longer being propagated (LP: #1903351)
      - debian/procps.maintscript: handle migration of link-protect.conf from
        /etc to /usr.
    Dropped changes:
      - debian/README.sysctl: Debian has added this information.
      - debian/procps.install: debian/protect-links.conf has been re-named to
        debian/99-protect-links.conf, so it can be safely installed again
        (see LP: #1938585 for background).

 -- Nick Rosbrook <nick.rosbrook@canonical.com>  Fri, 18 Feb 2022 16:49:15 -0500

procps (2:3.3.17-6) unstable; urgency=medium

  * Add reload option for init script Closes: #991151
  * Follow naming convention for systemd files debian/procps!3 Closes:
    #1000908
  * Fix FBTFS on Hurd Closes: #987557

 -- Craig Small <csmall@debian.org>  Thu, 13 Jan 2022 19:46:59 +1100

procps (2:3.3.17-5ubuntu3) impish; urgency=medium

  * Remove /usr/lib/sysctl.d/protect-links.conf (LP: #1938585)

 -- Dan Streetman <ddstreet@canonical.com>  Fri, 30 Jul 2021 12:17:48 -0400

procps (2:3.3.17-5ubuntu2) impish; urgency=medium

  * Clean up switch statement for ignore_erofs case (LP: #1903351)

 -- William 'jawn-smith' Wilson <william.wilson@canonical.com>  Tue, 01 Jun 2021 14:10:29 -0500

procps (2:3.3.17-5ubuntu1) impish; urgency=low

  * Merge from Debian unstable.
    Remaining changes:
      - autopkgtest for LP: #1874824. Submitted to debian as bug 988792
      - debian/sysctl.d (Ubuntu-specific):
        + 10-console-messages.conf: stop low-level kernel messages on console.
        + 10-kernel-hardening.conf: add the kptr_restrict setting
        + 10-ipv6-privacy.conf: add a file to sysctl.d to apply the defaults
          for IPv6 privacy extensions for interfaces. (LP: #176125, #841353)
        + 10-magic-sysrq.conf: Disable most magic sysrq by default, allowing
          critical sync, remount, reboot functions. (LP: #194676, LP: #1025467)
        + 10-network-security.conf: enable rp_filter.
        + 10-ptrace.conf: describe new PTRACE setting.
        + 10-zeropage.conf: safe mmap_min_addr value for graceful fall-back.
          for armhf, and arm64.
        + 10-qemu.conf.s390x for qemu.
        + README: describe how this directory is supposed to work.
      - debian/rules: Fix cross build
      - ignore_eaccess.patch: If we get eaccess when opening a sysctl file for
        writing, don't error out.  Otherwise package upgrades can fail,
        especially in containers.
        - Adjust logic due to rc no longer being propagated (LP: #1903351)
      - ignore_erofs.patch: Same as ignore_eaccess but for the case where
        part of /proc is read/only.
        - Adjust logic due to rc no longer being propagated (LP: #1903351)
      - debian/procps.maintscript: handle migration of link-protect.conf from
        /etc to /usr.
    Justification of dropped patches
      - missing_potfiles_in: Debian has now added this code in POTFILES.in
        so the patch is no longer needed
      - pmap_test: This patch disables some tests that are not causing
        any problems. These tests are run in Debian so should be run
        in Ubuntu as well
      - top_config_file_bwcompat: Debian has applied this code upstream so
        the patch is no longer needed
      - tar-version: Debian has applied this code upstream so the patch is
        no longer needed
      - stack_limit: Debian has applied this code upstream so the patch is
        no longer needed

 -- William 'jawn-smith' Wilson <william.wilson@canonical.com>  Wed, 19 May 2021 09:24:31 +0000

procps (2:3.3.17-5) unstable; urgency=medium

  * Add break/replace for conflicting manpages-fr-extra Closes: #986276

 -- Craig Small <csmall@debian.org>  Tue, 06 Apr 2021 17:17:53 +1000

procps (2:3.3.17-4) unstable; urgency=medium

  * Remove w alternative in postinst Closes: #982803

 -- Craig Small <csmall@debian.org>  Mon, 15 Feb 2021 20:50:26 +1100

procps (2:3.3.17-3) unstable; urgency=medium

  * Install language files Closes: #982437
  * Add epoch to manpages-pl Replaces/Breaks Closes: #982566
  * Remove conflict with w-bassman as removed in 2010
  * Remove w alternative as there is no alternative Closes: #982440
  * Update to debhelper 13
  * d/control: Remove conflict from non-existent pgrep package

 -- Craig Small <csmall@debian.org>  Sun, 14 Feb 2021 20:57:10 +1100

procps (2:3.3.17-2) unstable; urgency=medium

  * Rename pwait to pidwait Closes: #982391
  * Mark autopkgtest as superficial Closes: #974459
  * Actually install the translated manpages Closes: #953743

 -- Craig Small <csmall@debian.org>  Wed, 10 Feb 2021 22:49:00 +1100

procps (2:3.3.17-1) unstable; urgency=medium

  * New upstream source
    - sysctl: Match systemd directory order Closes: #950788
    - sysctl: Document directory order Closes: #951550
    - top: ensure config file backward compatibility Closes: #951335

 -- Craig Small <csmall@debian.org>  Tue, 09 Feb 2021 21:50:10 +1100

procps (2:3.3.16-5ubuntu3) hirsute; urgency=medium

  * Address slowness and crashes with large or unlimited stack limits
    (LP: #1874824)

 -- William 'jawn-smith' Wilson <william.wilson@canonical.com>  Wed, 24 Mar 2021 10:09:08 -0500

procps (2:3.3.16-5ubuntu2) groovy; urgency=medium

  * debian/sysctl.d/10-kernel-hardening.conf:
    - Add documentation for DMESG_RESTRICT feature, and allow users to
      disable by uncommenting kernel.dmesg_restrict=0. (LP: #1886112)

 -- Matthew Ruffell <matthew.ruffell@canonical.com>  Thu, 23 Jul 2020 16:59:38 +1200

procps (2:3.3.16-5ubuntu1) groovy; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/sysctl.d (Ubuntu-specific):
      + 10-console-messages.conf: stop low-level kernel messages on console.
      + 10-kernel-hardening.conf: add the kptr_restrict setting
      + 10-ipv6-privacy.conf: add a file to sysctl.d to apply the defaults
        for IPv6 privacy extensions for interfaces. (LP: #176125, #841353)
      + 10-magic-sysrq.conf: Disable most magic sysrq by default, allowing
        critical sync, remount, reboot functions. (LP: #194676, LP: #1025467)
      + 10-network-security.conf: enable rp_filter.
      + 10-ptrace.conf: describe new PTRACE setting.
      + 10-zeropage.conf: safe mmap_min_addr value for graceful fall-back.
        for armhf, and arm64.
      + 10-qemu.conf.s390x for qemu.
      + README: describe how this directory is supposed to work.
    - debian/rules: Fix cross build
    - ignore_eaccess.patch: If we get eaccess when opening a sysctl file for
      writing, don't error out.  Otherwise package upgrades can fail,
      especially in containers.
    - ignore_erofs.patch: Same as ignore_eaccess but for the case where
      part of /proc is read/only.
    - debian/procps.maintscript: handle migration of link-protect.conf from
      /etc to /usr.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 09 Jun 2020 13:18:24 -0700

procps (2:3.3.16-5) unstable; urgency=medium

  * programs report version correctly Closes: #960810
  * Add autopkgtests for version reporting

 -- Craig Small <csmall@debian.org>  Sun, 17 May 2020 09:45:41 +1000

procps (2:3.3.16-4ubuntu1) groovy; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/sysctl.d (Ubuntu-specific):
      + 10-console-messages.conf: stop low-level kernel messages on console.
      + 10-kernel-hardening.conf: add the kptr_restrict setting
      + 10-ipv6-privacy.conf: add a file to sysctl.d to apply the defaults
        for IPv6 privacy extensions for interfaces. (LP: #176125, #841353)
      + 10-magic-sysrq.conf: Disable most magic sysrq by default, allowing
        critical sync, remount, reboot functions. (LP: #194676, LP: #1025467)
      + 10-network-security.conf: enable rp_filter.
      + 10-ptrace.conf: describe new PTRACE setting.
      + 10-zeropage.conf: safe mmap_min_addr value for graceful fall-back.
        for armhf, and arm64.
      + 10-qemu.conf.s390x for qemu.
      + README: describe how this directory is supposed to work.
    - debian/rules: Fix cross build
    - ignore_eaccess.patch: If we get eaccess when opening a sysctl file for
      writing, don't error out.  Otherwise package upgrades can fail,
      especially in containers.
    - ignore_erofs.patch: Same as ignore_eaccess but for the case where
      part of /proc is read/only.
    - debian/procps.maintscript: handle migration of link-protect.conf from
      /etc to /usr.
  * 10-link-restrictions.conf: was not correctly dropped in focal, drop it
    fully now.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 01 May 2020 05:54:27 -0700

procps (2:3.3.16-4) unstable; urgency=medium

  * Use correct package version on removing conffile Closes: #951293

 -- Craig Small <csmall@debian.org>  Tue, 10 Mar 2020 11:52:38 +1100

procps (2:3.3.16-3) unstable; urgency=medium

  * Revert move from /bin Closes: #952572
  * Fix typo in sysctl.conf Closes: #922525
  * Remove obsolete protect-links conffile Closes: #951293

 -- Craig Small <csmall@debian.org>  Thu, 27 Feb 2020 09:05:44 +1100

procps (2:3.3.16-2) unstable; urgency=medium

  * Fix symlink to new soname Closes: #951494
  * top: restore configuration file backward compatibility Closes:
    #951335
  * put remaining binaries in /bin in Linux under /usr/bin

 -- Craig Small <csmall@debian.org>  Tue, 25 Feb 2020 08:08:40 +1100

procps (2:3.3.16-1ubuntu2) focal; urgency=medium

  * Fix libprocps.so link target to point to the library we actually ship.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 26 Feb 2020 21:52:07 -0800

procps (2:3.3.16-1ubuntu1) focal; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/sysctl.d (Ubuntu-specific):
      + 10-console-messages.conf: stop low-level kernel messages on console.
      + 10-kernel-hardening.conf: add the kptr_restrict setting
      + 10-ipv6-privacy.conf: add a file to sysctl.d to apply the defaults
        for IPv6 privacy extensions for interfaces. (LP: #176125, #841353)
      + 10-magic-sysrq.conf: Disable most magic sysrq by default, allowing
        critical sync, remount, reboot functions. (LP: #194676, LP: #1025467)
      + 10-network-security.conf: enable rp_filter.
      + 10-ptrace.conf: describe new PTRACE setting.
      + 10-zeropage.conf: safe mmap_min_addr value for graceful fall-back.
        for armhf, and arm64.
      + 10-qemu.conf.s390x for qemu.
      + README: describe how this directory is supposed to work.
    - debian/rules: Fix cross build
    - ignore_eaccess.patch: If we get eaccess when opening a sysctl file for
      writing, don't error out.  Otherwise package upgrades can fail,
      especially in containers.
    - ignore_erofs.patch: Same as ignore_eaccess but for the case where
      part of /proc is read/only.
    - 10-network-security.conf: change the rp_filter default from 1 to 2,
      the strict mode isn't compatible with the n-m handling of
      captive portals
  * Dropped changes, superseded upstream:
    - d/p/pgrep-increase-CMDSTRSIZE.patch: Allow long command lines to be
      searched.
  * Dropped changes, no longer needed:
    - 10-keyboard.conf.powerpc: mouse button emulation on PowerPC.
    - 10-link-restrictions.conf: this is redundant with link-protect.conf
      from Debian.
  * debian/procps.maintscript: handle migration of link-protect.conf from
    /etc to /usr.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 13 Feb 2020 22:53:02 -0800

procps (2:3.3.16-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/changelog: Remove trailing whitespaces

  [ Craig Small ]
  * set sysctl protection for fifos and regular files Closes: #914859
  * New upstream release
    - docs: Use correct symbols for -h option in free.1 Closes: #898774
    - pgrep: Match on runstate Closes: #919381
    - snice: Fix matching on pid Closes: #903540
  * Move protect-links from /etc to /usr/lib Closes: #915797
  * Increment library package to libprocps8

 -- Craig Small <csmall@debian.org>  Fri, 07 Feb 2020 19:05:09 +1100

procps (2:3.3.15-2ubuntu3) eoan; urgency=medium

  * d/p/pgrep-increase-CMDSTRSIZE.patch:
    - Allows long command lines to be searched.
    eg: Java process with a long classpath. (LP: #1839329)

 -- Eric Desrochers <eric.desrochers@canonical.com>  Thu, 08 Aug 2019 16:46:48 +0000

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog libproc2-0`.
